Update Hardy LBM to use upstream wireless-compat stack

Bug #237746 reported by Tim Gardner on 2008-06-05
10
Affects Status Importance Assigned to Milestone
linux-backports-modules-2.6.24 (Ubuntu)
Undecided
Tim Gardner
Hardy
Undecided
Tim Gardner

Bug Description

Replace iwlwifi and rt2x00 with upstream drivers using the wireless compatibility stack at linuxwireless.org.

Tim Gardner (timg-tpi) on 2008-06-06
Changed in linux-ubuntu-modules-2.6.24:
status: New → Fix Committed
Tim Gardner (timg-tpi) on 2008-06-09
Changed in linux-backports-modules-2.6.24:
assignee: nobody → timg-tpi

Hi!

Using your PPA up to date (with linux-backports-modules-2.6.24 - 2.6.24-19.18ubuntu1 , linux - 2.6.24-19.33ubuntu11, linux-restricted-modules-2.6.24 - 2.6.24.13-19.42ubuntu2, linux-ubuntu-modules-2.6.24 - 2.6.24-19.27ubuntu2), I get symbols error when trying to load the rt2500pci or rt61pci module:

mac80211: Unknown symbol ieee802_1d_to_ac
mac80211: Unknown symbol ieee80211_wme_unregister
mac80211: Unknown symbol ieee80211_ht_agg_gueue_remove
mac80211: Unknown symbol ieee80211_install_qdisc
mac80211: Unknown symbol ieee80211_requeue
mac80211: Unknown symbol ieee80211_wme_register
mac80211: Unknown symbol ieee80211_ht_agg_queue_add
rt2x00lib: Unknown symbol ieee80211_register_hw
....

Thanks,

Nicolas

Sympy (sympathy4no1) wrote :

In case I stumble upon a regression, would a simple downgrade of the l-b-m package be enough to undo all the changes?

Mario Limonciello (superm1) wrote :

More positive feedback here:

I haven't been able to reproduce any kernel panics on my m1330 with this. It is much more stable. Previously I was getting them 1/10 times due to wireless issues.

Changed in dell:
status: New → Confirmed
Mario Limonciello (superm1) wrote :
Download full text (9.3 KiB)

A little pre-emptive.
On my D630 (with iwl4965), I can't seem to even load the drivers anymore:

supermario@mlimonciello:~$ dpkg -l | grep backports-modules-2.6.24-19
ii linux-backports-modules-2.6.24-19-generic 2.6.24-19.18ubuntu1 Ubuntu supplied Linux modules for version 2.
supermario@mlimonciello:~$ sudo depmod -a

supermario@mlimonciello:~$ sudo modprobe iwl4965

supermario@mlimonciello:~$ tail -f /var/log/syslog
Jun 10 10:32:54 mlimonciello kernel: [ 188.950601] mac80211: Unknown symbol ieee802_1d_to_ac
Jun 10 10:32:54 mlimonciello kernel: [ 188.951665] mac80211: Unknown symbol ieee80211_wme_unregister
Jun 10 10:32:54 mlimonciello kernel: [ 188.952316] mac80211: Unknown symbol ieee80211_ht_agg_queue_remove
Jun 10 10:32:54 mlimonciello kernel: [ 188.953712] mac80211: Unknown symbol ieee80211_install_qdisc
Jun 10 10:32:54 mlimonciello kernel: [ 188.954541] mac80211: Unknown symbol ieee80211_requeue
Jun 10 10:32:54 mlimonciello kernel: [ 188.955277] mac80211: Unknown symbol ieee80211_wme_register
Jun 10 10:32:54 mlimonciello kernel: [ 188.955941] mac80211: Unknown symbol ieee80211_ht_agg_queue_add
Jun 10 10:32:54 mlimonciello kernel: [ 188.957199] iwlcore: Unknown symbol ieee80211_start_tx_ba_cb_irqsafe
Jun 10 10:32:54 mlimonciello kernel: [ 188.957327] iwlcore: Unknown symbol ieee80211_alloc_hw
Jun 10 10:32:54 mlimonciello kernel: [ 188.957445] iwlcore: Unknown symbol ieee80211_register_hw
Jun 10 10:32:54 mlimonciello kernel: [ 188.957598] iwlcore: Unknown symbol ieee80211_get_tkip_key
Jun 10 10:32:54 mlimonciello kernel: [ 188.957752] iwlcore: Unknown symbol ieee80211_tx_status_irqsafe
Jun 10 10:32:54 mlimonciello kernel: [ 188.957962] iwlcore: Unknown symbol ieee80211_stop_tx_ba_cb_irqsafe
Jun 10 10:32:54 mlimonciello kernel: [ 188.958222] iwlcore: Unknown symbol ieee80211_stop_queue
Jun 10 10:32:54 mlimonciello kernel: [ 188.958327] iwlcore: Unknown symbol ieee80211_get_hdrlen
Jun 10 10:32:54 mlimonciello kernel: [ 188.959852] iwl4965: Unknown symbol iwl_rxon_add_station
Jun 10 10:32:54 mlimonciello kernel: [ 188.960031] iwl4965: Unknown symbol iwl_send_statistics_request
Jun 10 10:32:54 mlimonciello kernel: [ 188.960079] iwl4965: Unknown symbol iwlcore_clear_stations_table
Jun 10 10:32:54 mlimonciello kernel: [ 188.960121] iwl4965: Unknown symbol iwl_set_default_wep_key
Jun 10 10:32:54 mlimonciello kernel: [ 188.960163] iwl4965: Unknown symbol iwl_rates
Jun 10 10:32:54 mlimonciello kernel: [ 188.960222] iwl4965: Unknown symbol ieee80211_free_hw
Jun 10 10:32:54 mlimonciello kernel: [ 188.960263] iwl4965: Unknown symbol iwl_remove_dynamic_key
Jun 10 10:32:54 mlimonciello kernel: [ 188.960337] iwl4965: Unknown symbol iwl_txq_update_write_ptr
Jun 10 10:32:54 mlimonciello kernel: [ 188.960379] iwl4965: Unknown symbol iwl_eeprom_free
Jun 10 10:32:54 mlimonciello kernel: [ 188.960456] iwl4965: Unknown symbol iwl_set_rxon_channel
Jun 10 10:32:54 mlimonciello kernel: [ 188.960498] iwl4965: Unknown symbol ieee80211_start_tx_ba_session
Jun 10 10:32:54 mlimonciello kernel: [ 188.960540] iwl4965: Unknown symbol iwl_power_update_mode
Jun 10 10:32:54 mlimonciello kernel: [ 188.960581] iwl4965: Unknown symb...

Read more...

Tim Gardner (timg-tpi) wrote :

yes - I had some updates that I did not test well enough. I've regressed and re-uploaded to my PPA. Should be OK after its done building. Look for linux-backports-modules-2.6.24-19.18ubuntu2 or higher.

Ok, I just tested with an rt2500 with linux-backports-modules-2.6.24-19.18ubuntu2 .

It's unfortunately a regression for me: no more able to associate in WEP with my AP. Here is the dmesg output.

[ 249.377075] wlan1: authenticate with AP 00:09:5b:eb:32:20
[ 249.575709] wlan1: authenticate with AP 00:09:5b:eb:32:20
[ 249.775647] wlan1: authenticate with AP 00:09:5b:eb:32:20
[ 249.975592] wlan1: authentication with AP 00:09:5b:eb:32:20 timed out
[ 260.109914] wlan1: Initial auth_alg=0
[ 260.109928] wlan1: authenticate with AP 00:09:5b:eb:32:20
[ 260.308568] wlan1: authenticate with AP 00:09:5b:eb:32:20
[ 260.508504] wlan1: authenticate with AP 00:09:5b:eb:32:20
[ 260.708447] wlan1: authentication with AP 00:09:5b:eb:32:20 timed out
[ 270.842764] wlan1: Initial auth_alg=0
[ 270.842779] wlan1: authenticate with AP 00:09:5b:eb:32:20
[ 271.041425] wlan1: authenticate with AP 00:09:5b:eb:32:20
[ 271.241361] wlan1: authenticate with AP 00:09:5b:eb:32:20
[ 271.441302] wlan1: authentication with AP 00:09:5b:eb:32:20 timed out
[ 281.575654] wlan1: Initial auth_alg=0
[ 281.575668] wlan1: authenticate with AP 00:09:5b:eb:32:20
....

Download full text (4.1 KiB)

Second regression with a rt73 chip: When unplugging it, I get the following oops :

[ 703.840132] usb 3-3: USB disconnect, address 2
[ 703.840623] phy1 -> rt2x00usb_vendor_request: Error - Vendor Request 0x07 failed for offset 0x3040 with error -19.
[ 703.840636] phy1 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset 0x3040 with error -19.
[ 703.840646] phy1 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset 0x3028 with error -19.
[ 703.840655] phy1 -> rt2x00usb_vendor_request: Error - Vendor Request 0x06 failed for offset 0x3064 with error -19.
[ 703.840663] phy1 -> rt2x00usb_vendor_request: Error - Vendor Request 0x0c failed for offset 0x0000 with error -19.
[ 703.840699] BUG: unable to handle kernel paging request at virtual address f0000182
[ 703.840706] printing eip: e089fee4 *pde = 00000000
[ 703.840714] Oops: 0000 [#1] SMP
[ 703.840720] Modules linked in: rt2500usb rt73usb crc_itu_t rt2x00usb af_packet arc4 ecb blkcipher rt2500pci rt2x00pci rt2x00lib rfkill input_polldev mac80211 cfg80211 eeprom_93cx6 ipv6 rfcomm l2cap bluetooth ppdev powernow_k8 cpufreq_userspace cpufreq_powersave cpufreq_conservative cpufreq_ondemand cpufreq_stats freq_table sbs dock sbshc iptable_filter ip_tables x_tables lp joydev pcmcia evdev parport_pc parport snd_intel8x0 snd_ac97_codec ac97_bus snd_pcm_oss snd_mixer_oss psmouse serio_raw snd_pcm video output battery container ac snd_seq_dummy yenta_socket rsrc_nonstatic pcmcia_core snd_seq_oss snd_seq_midi snd_rawmidi pcspkr wmi_acer snd_seq_midi_event snd_seq k8temp button snd_timer snd_seq_device snd soundcore snd_page_alloc shpchp pci_hotplug amd64_agp agpgart i2c_nforce2 i2c_core ext3 jbd mbcache sg sr_mod cdrom sd_mod pata_amd ata_generic pata_acpi 8139too 8139cp mii libata scsi_mod ehci_hcd ohci_hcd usbcore thermal processor fan fbcon tileblit font bitblit softcursor fuse
[ 703.840836]
[ 703.840841] Pid: 1439, comm: khubd Not tainted (2.6.24-19-generic #1)
[ 703.840847] EIP: 0060:[<e089fee4>] EFLAGS: 00010286 CPU: 0
[ 703.840896] EIP is at usb_kill_urb+0x14/0xd0 [usbcore]
[ 703.840901] EAX: 00000000 EBX: f000015a ECX: 00000282 EDX: ddf60000
[ 703.840907] ESI: 00000002 EDI: deb98e40 EBP: deb98e40 ESP: ddf61e10
[ 703.840913] DS: 007b ES: 007b FS: 00d8 GS: 0000 SS: 0068
[ 703.840918] Process khubd (pid: 1439, ti=ddf60000 task=dde5f140 task.ti=ddf60000)
[ 703.840923] Stack: 00000000 00000040 0000000c ddf61e8c ded74e00 00000028 00000002 e0c30796
[ 703.840936] 00000000 00000000 00000000 00000000 000001f4 ddf61e8c ded74e00 deb98180
[ 703.840947] e0c22dd8 00003064 ddf61e8c 00000004 000001f4 00000287 c01a5201 00000003
[ 703.840959] Call Trace:
[ 703.840991] [<e0c30796>] rt2x00usb_disable_radio+0x96/0xc0 [rt2x00usb]
[ 703.841038] [<e0c22dd8>] rt73usb_set_device_state+0xe18/0x1050 [rt73usb]
[ 703.841071] [<c01a5201>] find_inode+0x31/0x60
[ 703.841133] [<e0c12482>] rt2x00lib_disable_radio+0x52/0x80 [rt2x00lib]
[ 703.841154] [<e0c124bd>] rt2x00lib_remove_dev+0xd/0x40 [rt2x00lib]
[ 703.841173] [<e0c309b0>] rt2x00usb_disconnect+0x20/0x60 [rt2x00usb]
[ 703.841202] [<e08a36b0>] usb_unbind_interface+0x50/0xb0 [usbcore...

Read more...

This oops excepted, the rt73usb driver is still working wonderfully, and associating in WEP.

With this upload it appears that I lost my wireless LED on iwl3965

Tim Gardner wrote:
> yes - I had some updates that I did not test well enough. I've regressed
> and re-uploaded to my PPA. Should be OK after its done building. Look
> for linux-backports-modules-2.6.24-19.18ubuntu2 or higher.
>
>

--
Mario Limonciello
*Dell | Linux Engineering*
<email address hidden>

Luis R. Rodriguez (mcgrof) wrote :

* Unresolved symbols:

I'm looking into it

* No LED/RFKILL:

Led and RFKILL support need to be backported in order to enable them on compat-wirelesss. Patches are welcomed.

* Ooops:

If you get an oops it means the latest bleeding edge code very likely also causes it so you can simply report it to linux-wireless. The benefit though is that once it is fixed and the fix merged into wirless-testing.git compat-wireless automatically picks it up too. This is why we'd need frequent updates.

Luis R. Rodriguez (mcgrof) wrote :

OK unresolved symbols issue has been fixed. A new package just need to be created. You can also just test the tarball from wireless.kernel.org.

Tim Gardner (timg-tpi) wrote :

Updated the PPA to linux-backports-modules-2.6.24-19.18ubuntu3 which fixes the missing symbols issue. Also contains updates to wireless-testing.git up through tag master-2008-06-11.

I reported my Oops to the linux wireless ML, the issue was in fact fixed today (06-12).

Luis R. Rodriguez (mcgrof) wrote :

Nice Nicolas, glad to see you went through the proper channels and got your issue resolved. My hope is that the compat-wireless helps users get the latest Linux wireless drivers *all the time* and to help vendors push drivers upstream *ASAP*, as well as fix them.

The more users we get to test our wireless drivers the better shape our wireless drivers and stack will get by the stable kernel releases.

Please let me know if you have further issues.

Steve Langasek (vorlon) wrote :

Accepted into -proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux-backports-modules-2.6.24:
assignee: nobody → timg-tpi
status: New → In Progress
status: In Progress → Fix Committed

After updating kernel to version present in proposed I can't use my rt73 wireless adapter any more, because there are unknown symbol in module rt73usb.

Dmesg log:

[ 2284.673332] usb 3-2: new high speed USB device using ehci_hcd and address 9
[ 2289.679729] usb 3-2: device descriptor read/8, error -110
[ 2294.793819] usb 3-2: device descriptor read/8, error -110
[ 2476.790978] rt2x00lib: Unknown symbol rfkill_force_state
[ 2476.795103] rt2x00usb: Unknown symbol rt2x00lib_suspend
[ 2476.795167] rt2x00usb: Unknown symbol rt2x00lib_probe_dev
[ 2476.795449] rt2x00usb: Unknown symbol rt2x00lib_rxdone
[ 2476.795624] rt2x00usb: Unknown symbol rt2x00lib_remove_dev
[ 2476.795682] rt2x00usb: Unknown symbol rt2x00lib_txdone
[ 2476.795750] rt2x00usb: Unknown symbol rt2x00queue_get_queue
[ 2476.795880] rt2x00usb: Unknown symbol rt2x00lib_resume
[ 2476.798447] rt73usb: Unknown symbol rt2x00mac_add_interface

[...snip...]

Kernel image & backport modules version:
linux-image-2.6.24-20-generic 2.6.24-20.37
linux-backports-modules-2.6.24-20-generic 2.6.24-20.20

Mario Limonciello (superm1) wrote :

The latest upload on the 2.6.24-20 kernel is no good for me either:

    * If the hardware kill switch is set, /var/log/syslog is spammed
       continuously about turning the hardware kill switch off over and
       over. This also causes sparatic freezes every time the kill
       switch interface gets used
     * The LED no longer turns on when the kill switch is deactivated.
     * The computer kernel panics if rmmod iwl3945

Dudley (dudleygb) wrote :
Download full text (10.4 KiB)

hi guys....all this about backports and stuff. I'm pretty new to the inner guts of ubuntu. I got a ralink chipset usb wireless adapter, havent been abel to get it working since fiesty. I'm now on hardy, tried it in Gutsy too. Still not doing it for me.
Any help please

lsusb

Bus 007 Device 009: ID 148f:2573 Ralink Technology, Corp.

When plugging in I get bunch of errors:

Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.611798] usb 7-3: new high speed USB device using ehci_hcd and address 9
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.802927] usb 7-3: configuration #1 chosen from 1 choice
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940086] rt2x00lib: Unknown symbol ieee80211_register_hw
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940183] rt2x00lib: Unknown symbol ieee80211_tx_status_irqsafe
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940297] rt2x00lib: Unknown symbol ieee80211_ctstoself_get
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940339] rt2x00lib: Unknown symbol ieee80211_start_queues
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940417] rt2x00lib: Unknown symbol ieee80211_stop_queues
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940508] rt2x00lib: Unknown symbol ieee80211_unregister_hw
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940610] rt2x00lib: Unknown symbol ieee80211_rts_get
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940649] rt2x00lib: Unknown symbol ieee80211_beacon_get
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940739] rt2x00lib: Unknown symbol ieee80211_register_hwmode
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.940783] rt2x00lib: Unknown symbol ieee80211_rx_irqsafe
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.941627] rt2x00usb: Unknown symbol rt2x00lib_suspend
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.941672] rt2x00usb: Unknown symbol rt2x00lib_probe_dev
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.941757] rt2x00usb: Unknown symbol ieee80211_free_hw
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.941796] rt2x00usb: Unknown symbol ieee80211_alloc_hw
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.941839] rt2x00usb: Unknown symbol ieee80211_wake_queue
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.941945] rt2x00usb: Unknown symbol rt2x00lib_rxdone
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.942075] rt2x00usb: Unknown symbol rt2x00lib_remove_dev
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.942143] rt2x00usb: Unknown symbol rt2x00lib_txdone
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.942181] rt2x00usb: Unknown symbol rt2x00lib_write_tx_desc
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.942257] rt2x00usb: Unknown symbol ieee80211_stop_queue
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.942296] rt2x00usb: Unknown symbol ieee80211_get_hdrlen
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.942334] rt2x00usb: Unknown symbol rt2x00lib_resume
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ 9402.943172] rt2500usb: Unknown symbol rt2x00mac_add_interface
Jul 29 11:45:05 dudleys-computer-thingy kernel: [ ...

Martin Pitt (pitti) wrote :

linux-backports-modules-2.6.24 -21 copied to hardy-updates.

Changed in linux-backports-modules-2.6.24:
status: Fix Committed → Fix Released
status: Fix Committed → Invalid
Changed in dell:
status: Confirmed → Fix Released
Changed in somerville:
status: New → Fix Released
no longer affects: dell
Timothy R. Chavez (timrchavez) wrote :

The bug task for the somerville project has been removed by an automated script. This bug has been cloned on that project and is available here: https://bugs.launchpad.net/bugs/1305634

no longer affects: somerville
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers